Setup after repo change

This commit is contained in:
Henry Whitney 2019-10-03 18:46:01 -04:00
parent 8e43ba0f90
commit ef60c05061
12 changed files with 86 additions and 136 deletions

View File

@ -7,7 +7,7 @@ use FindBin '$Bin';
my ($pwd, $d) = ($Bin, "\\");
if ($^O eq "darwin" || $^O eq "linux") {$d = "/"}
# /Users/Henry/Documents/git.Door43/en_tw/ForPDF/FilesForUpdates/CombineULBandNASBwithCodes.pl
# /Users/Henry/Documents/WACS/en_tw/ForPDF/FilesForUpdates/CombineULBandNASBwithCodes.pl
my ($ulb, $nasb) = ("$Bin${d}Temp${d}ULB_text.txt", "$Bin${d}Data${d}NASB_Strongs.txt");
my ($ref, $val, $textEditor);
my (%codes);

View File

@ -9,7 +9,7 @@ use open IO => ":utf8";
my ($oldName, $newName);
my $topDir = "/Users/virginiawhitney/Documents/Henry/WA/Repos/MAST_HB";
#my $topDir = "/Users/Henry/Documents/git.Door43/MAST_HB";
#my $topDir = "/Users/Henry/Documents/WACS/MAST_HB";
my (%new_name);
while (<DATA>) {

View File

@ -1,7 +1,7 @@
# Before running this program, run
# find -s . "*.md"
# on
# /Users/Henry/Documents/git.Door43/en_tn/
# /Users/Henry/Documents/WACS/en_tn/
# and paste the output into dir.dir in that directory
use 5.12.0;

View File

@ -23,10 +23,12 @@ open LOG, ">:utf8", "$Bin${d}Logs${d}log.log" or die;
#say LOG "\@deletes: @deletes";
my %obviates;
say LOG "$Bin${d}Exceptions${d}Consistent_Deletes.NT.txt";
open IN, ("$Bin${d}Exceptions${d}Consistent_Deletes.NT.txt") or die "$!\n$Bin${d}Exceptions${d}Consistent_Deletes.NT.txt";
while (<IN>) {
chomp;
$obviates{$_} = $_ unless exists $obviates{$_}
$obviates{$_} = $_ unless exists $obviates{$_};
say LOG $obviates{$_};
}
close IN;
@ -38,6 +40,7 @@ open LOG, ">:utf8", "$Bin${d}Logs${d}log.log" or die;
$fileText =~ s/(\t$obviates{$thisNo})(\r?\n)/$1\t||$2/g;
}
say LOG "$Bin${d}Output${d}Entries_not_handled.txt";
open OUT, ">$Bin${d}Output${d}Entries_not_handled.txt" or die;
say OUT $fileText;
close OUT;

View File

@ -1,131 +1,78 @@
1 Timothy 4:1 3004
1 Timothy 4:1 868
1 Timothy 4:3 3336
1 Timothy 4:4 2938
1 Timothy 4:4 3762
1 Timothy 4:5 2316
1 Timothy 4:7 952
1 Timothy 4:8 3568
1 Timothy 4:10 444
1 Timothy 4:13 4337
1 Timothy 4:14 1325
1 Timothy 5:1 3962
1 Timothy 5:4 4413
1 Timothy 5:5 4335
1 Timothy 5:10 4228
1 Timothy 5:11 2309
1 Timothy 5:12 2917
1 Timothy 5:12 4413
1 Timothy 5:12 114
1 Timothy 5:13 692
1 Timothy 5:13 2980
1 Timothy 5:14 1014
1 Timothy 5:14 1325
1 Timothy 5:14 5484
1 Timothy 5:17 515
1 Timothy 5:18 3004
1 Timothy 5:22 245
1 Timothy 5:24 444
1 Timothy 6:1 514
1 Timothy 6:2 2108
1 Timothy 6:3 5198
1 Timothy 6:5 444
1 Timothy 6:6 3173
1 Timothy 6:7 3762
1 Timothy 6:7 1627
1 Timothy 6:9 4147
1 Timothy 6:9 1939
1 Timothy 6:9 4183
1 Timothy 6:9 983 ||
1 Timothy 6:9 444
1 Timothy 6:9 684
1 Timothy 6:10 4183
1 Timothy 6:11 2150
1 Timothy 6:12 75
1 Timothy 6:12 3671 ||
1 Timothy 6:12 4183
1 Timothy 6:13 4091
1 Timothy 6:14 423
1 Timothy 6:16 1492
1 Timothy 6:16 3762
1 Timothy 6:16 444
1 Timothy 6:17 3568
1 Timothy 6:18 2570
1 Timothy 6:20 5442
1 Timothy 6:20 1624
1 Timothy 6:20 2757
2 Timothy 1:1 2316
2 Timothy 1:4 1492
2 Timothy 1:5 2983
2 Timothy 1:1 2316 ||
2 Timothy 1:4 1492 ||
2 Timothy 1:5 2983 ||
2 Timothy 1:5 505
2 Timothy 1:5 4413
2 Timothy 1:7 1325
2 Timothy 1:9 1325
2 Timothy 1:10 3568
2 Timothy 1:5 4413 ||
2 Timothy 1:7 1325 ||
2 Timothy 1:9 1325 ||
2 Timothy 1:10 3568 ||
2 Timothy 1:10 861
2 Timothy 1:11 2783
2 Timothy 1:13 5198
2 Timothy 1:14 40
2 Timothy 1:16 1325
2 Timothy 1:18 1325
2 Timothy 1:14 40 ||
2 Timothy 1:16 1325 ||
2 Timothy 1:18 1325 ||
2 Timothy 1:18 1247
2 Timothy 2:2 4183
2 Timothy 2:2 4183 ||
2 Timothy 2:2 3908 ||
2 Timothy 2:2 444
2 Timothy 2:2 2425
2 Timothy 2:2 2087
2 Timothy 2:4 3762
2 Timothy 2:4 4758 ||
2 Timothy 2:6 1210
2 Timothy 2:6 4413
2 Timothy 2:7 3004
2 Timothy 2:7 1325
2 Timothy 2:2 444 ||
2 Timothy 2:2 2425 ||
2 Timothy 2:2 2087 ||
2 Timothy 2:4 3762 ||
2 Timothy 2:4 4758
2 Timothy 2:6 1210 ||
2 Timothy 2:6 4413 ||
2 Timothy 2:7 3004 ||
2 Timothy 2:7 1325 ||
2 Timothy 2:7 4907
2 Timothy 2:9 2316
2 Timothy 2:13 3306
2 Timothy 2:9 2316 ||
2 Timothy 2:13 3306 ||
2 Timothy 2:14 1263
2 Timothy 2:14 3762
2 Timothy 2:15 3936
2 Timothy 2:14 3762 ||
2 Timothy 2:15 3936 ||
2 Timothy 2:15 225
2 Timothy 2:16 2757
2 Timothy 2:18 3004
2 Timothy 2:18 3004 ||
2 Timothy 2:19 4973
2 Timothy 2:19 868
2 Timothy 2:20 3173
2 Timothy 2:20 4632
2 Timothy 2:19 868 ||
2 Timothy 2:20 3173 ||
2 Timothy 2:20 4632 ||
2 Timothy 2:21 18
2 Timothy 2:23 3163
2 Timothy 2:24 1210
2 Timothy 2:24 1210 ||
2 Timothy 2:24 3164
2 Timothy 2:25 1325
2 Timothy 2:25 1325 ||
2 Timothy 3:1 2540
2 Timothy 3:2 444
2 Timothy 3:2 444 ||
2 Timothy 3:4 5187
2 Timothy 3:8 436
2 Timothy 3:8 444
2 Timothy 3:8 436 ||
2 Timothy 3:8 444 ||
2 Timothy 3:8 96
2 Timothy 3:10 5281
2 Timothy 3:12 2309
2 Timothy 3:13 444
2 Timothy 3:14 3306
2 Timothy 3:12 2309 ||
2 Timothy 3:13 444 ||
2 Timothy 3:14 3306 ||
2 Timothy 3:15 1121 ||
2 Timothy 3:17 444
2 Timothy 3:17 444 ||
2 Timothy 4:2 2008
2 Timothy 4:3 5198
2 Timothy 4:3 189
2 Timothy 4:4 189
2 Timothy 4:3 189 ||
2 Timothy 4:4 189 ||
2 Timothy 4:7 75
2 Timothy 4:8 591
2 Timothy 4:10 3568
2 Timothy 4:8 591 ||
2 Timothy 4:10 3568 ||
2 Timothy 4:11 353
2 Timothy 4:13 5342
2 Timothy 4:14 4183
2 Timothy 4:15 436
2 Timothy 4:16 4413
2 Timothy 4:16 3762
2 Timothy 4:17 3936
2 Timothy 4:13 5342 ||
2 Timothy 4:14 4183 ||
2 Timothy 4:15 436 ||
2 Timothy 4:16 4413 ||
2 Timothy 4:16 3762 ||
2 Timothy 4:17 3936 ||
2 Timothy 4:17 4135
2 Timothy 4:17 4750
2 Timothy 4:17 4750 ||
2 Timothy 4:18 2032
2 Timothy 4:20 3306
2 Timothy 4:20 3306 ||

View File

@ -4,7 +4,7 @@ while (<DATA>) {
}
}
chdir "/Users/Henry/Documents/git.Door43/MAST_HB";
chdir "/Users/Henry/Documents/WACS/MAST_HB";
foreach $old_name (sort keys %new_name) {
system "mv $old_name $new_name{$old_name}"

View File

@ -48,7 +48,7 @@ The Repository Directory
This is the top directory for all ULB, translationNotes, translationWords, and UDB files.
Sample Mac path
# Repository directory: /Users/John/Documents/git.Door43
# Repository directory: /Users/John/Documents/WACS
Sample Windows path
# Repository directory: C:\Documents\TranslationFiles

View File

@ -7,7 +7,7 @@ Here are the current defaults the scripts will be looking for.
# For Mac
Text editor: /Applications/BBEdit.app
HTML browser: /Applications/Firefox.app
Repository directory: /Users/virginiawhitney/Documents/Henry/WA/Repos
Repository directory: /Users/Henry/Documents/WACS
translationNotes path: en_tn
translationWords path: bible.en_tw
@ -48,7 +48,7 @@ The Repository Directory
This is the top directory for all ULB, translationNotes, translationWords, and UDB files.
Sample Mac path
# Repository directory: /Users/John/Documents/git.Door43
# Repository directory: /Users/John/Documents/WACS
Sample Windows path
# Repository directory: C:\Documents\TranslationFiles

View File

@ -1,31 +1,31 @@
Do_it () {
echo
echo "pushing ULB"
(cd "/Users/Henry/Documents/git.Door43/en_ulb";
(cd "/Users/Henry/Documents/WACS/en_ulb";
git pull
git commit -a -m "$answer"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo "pushing UDB"
(cd "/Users/Henry/Documents/git.Door43/en_udb";
(cd "/Users/Henry/Documents/WACS/en_udb";
git pull
git commit -a -m "$answer"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo "pushing tW"
(cd "/Users/Henry/Documents/git.Door43/en_tw";
(cd "/Users/Henry/Documents/WACS/en_tw";
git pull
git commit -a -m "$answer"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo "pushing tN"
(cd "/Users/Henry/Documents/git.Door43/en_tn";
(cd "/Users/Henry/Documents/WACS/en_tn";
git pull
git commit -a -m "$answer"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo "pushing Files for Update"
(cd "/Users/Henry/Documents/git.Door43/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
(cd "/Users/Henry/Documents/WACS/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
git pull
git commit -a -m "$answer"
git push) || { echo 'Could not commit!' >&2; exit 1; }

View File

@ -1,27 +1,27 @@
echo HQ
cd /Users/Henry/Documents/git.Door43/en_hq
cd /Users/Henry/Documents/WACS/en_hq
git pull
echo
echo TA
cd /Users/Henry/Documents/git.Door43/en_ta
cd /Users/Henry/Documents/WACS/en_ta
git pull
echo
echo TN
cd /Users/Henry/Documents/git.Door43/en_tn
cd /Users/Henry/Documents/WACS/en_tn
git pull
echo
echo TW
cd /Users/Henry/Documents/git.Door43/en_tw
cd /Users/Henry/Documents/WACS/en_tw
git pull
echo
echo UDB
cd /Users/Henry/Documents/git.Door43/en_udb
cd /Users/Henry/Documents/WACS/en_udb
git pull
echo
echo ULB
cd /Users/Henry/Documents/git.Door43/en_ulb
cd /Users/Henry/Documents/WACS/en_ulb
git pull
echo
echo Tips and Hacks
cd /Users/Henry/Documents/git.Door43/Tips_and_Hacks
cd /Users/Henry/Documents/WACS/Tips_and_Hacks
git pull

View File

@ -1,33 +1,33 @@
echo "pushing ULB"
(cd "/Users/Henry/Documents/git.Door43/en_ulb";
(cd "/Users/Henry/Documents/WACS/en_ulb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing UDB"
(cd "/Users/Henry/Documents/git.Door43/en_udb";
(cd "/Users/Henry/Documents/WACS/en_udb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tW"
(cd "/Users/Henry/Documents/git.Door43/en_tw";
(cd "/Users/Henry/Documents/WACS/en_tw";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tN"
(cd "/Users/Henry/Documents/git.Door43/en_tn";
(cd "/Users/Henry/Documents/WACS/en_tn";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing Files for Update"
(cd "/Users/Henry/Documents/git.Door43/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
(cd "/Users/Henry/Documents/WACS/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }

View File

@ -1,14 +1,14 @@
echo "Pulling any possible updates"
echo "ULB"
(cd "/Users/Henry/Documents/git.Door43/en_ulb"; git pull)
(cd "/Users/Henry/Documents/WACS/en_ulb"; git pull)
echo "UDB"
(cd "/Users/Henry/Documents/git.Door43/en_udb"; git pull)
(cd "/Users/Henry/Documents/WACS/en_udb"; git pull)
echo "tW"
(cd "/Users/Henry/Documents/git.Door43/en_tw"; git pull)
(cd "/Users/Henry/Documents/WACS/en_tw"; git pull)
echo "tN"
(cd "/Users/Henry/Documents/git.Door43/en_tn"; git pull)
(cd "/Users/Henry/Documents/WACS/en_tn"; git pull)
echo "hq"
(cd "/Users/Henry/Documents/git.Door43/en_hq"; git pull)
(cd "/Users/Henry/Documents/WACS/en_hq"; git pull)
echo "Updating ULB"
perl "MakeULB.4.pl"
echo "Finding mismatched snippets"